Bug 228653 - xterm crashes when outputing weird characters
Summary: xterm crashes when outputing weird characters
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xterm   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact:
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-14 06:35 UTC by Rene Cunningham
Modified: 2008-08-02 23:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:13:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rene Cunningham 2007-02-14 06:35:49 UTC
Description of problem:

Xterm closes when outputing weird characters such as ones generated from
/dev/random.

Version-Release number of selected component (if applicable):
xterm-223-2.fc6

How reproducible:
Everytime

Steps to Reproduce:
1. cat /dev/random
2.
3.
  
Actual results:
xterm crashes. Running xterm from another xterm in the foreground produces the
following when it crashes.

xterm:  warning, error event received:
X Error of failed request:  BadName (named color or font does not exist)
  Major opcode of failed request:  77 (X_ImageText16)
  Serial number of failed request:  299
  Current serial number in output stream:  761


Expected results:

Random characters

Additional info:

Also happens when viewing certain pages in lynx, when viewing ALL manpages, and
using mutt in screen.

Comment 1 Miroslav Lichvar 2007-02-14 09:09:43 UTC
Unfortunately, I can't reproduce it.

Is this on a xinerama setup? Any resource settings for xterm? Which video driver
is used?

Comment 2 Thomas E. Dickey 2007-02-25 00:54:19 UTC
It would help to have a non-random set of data which breaks it,
since the cause would be some specific code sequence.

Comment 3 Miroslav Lichvar 2007-04-16 13:24:11 UTC
Can you please try xterm-225-1.fc6 from FC6 updates testing repository?

Comment 4 Bug Zapper 2008-04-04 06:13:55 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 5 Bug Zapper 2008-05-06 19:13:31 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.